X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I can not seem to update to the new version of fire fox because I am running a mac osx 10.4.2 and I can not view what I want to in the old fire fox. What to do

Posted

I have a mac lap top from 2007. When I try to down load fire fox, I get a message telling me mac os x 10.4.2 does not support the new fire fox. Is there something else I can do? Thank you!

Additional System Details

This started when...

The first time I tried and all the times.

Installed Plug-ins

  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • iPhoto6
  • DivX Content Upload Plug-In: Uploads DivX video in your browser!
  • DivX Browser Plug-In: Plays DivX video in your browser!
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Version 2.1.6.2787
  • Google Talk Plugin Video Accelerator version:0.1.44.5
  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.2.28) Gecko/20120306 Firefox/3.6.28

More Information

I am using fire fox 3.6.28

TheOldFox 110 solutions 619 answers

See - https://support.mozilla.org/en-US/kb/firefox-no-longer-works-mac-os-10-4-or-powerpc

You can try TenFourFox:

You can use another browser.